Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.monitor.alerts
Class EmailAlertListener

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.monitor.alerts.JBossAlertListener
                  org.jboss.monitor.alerts.EmailAlertListener

All Implemented Interfaces:
  EmailAlertListenerMBean, EventListener, JBossAlertListenerMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, javax.management.NotificationListener, org.jboss.system.Service, org.jboss.system.ServiceMBean

public class EmailAlertListener
extends JBossAlertListener
implements EmailAlertListenerMBean

Comment

Version:
  $Revision: 1.2 $
Author:
  Bill Burke

Field Summary
`protected javax.mail.Address` | `from`
`protected String` | `fromString`
`protected String` | `messageTemplate`
`protected javax.mail.Address` | `replyTo`
`protected String` | `replyToString`
`protected String` | `subjectTemplate`
`protected javax.mail.Address[]` | `to`
`protected HashSet` | `toSet`

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`log, server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`EmailAlertListener()`

Method Summary
`void` | `addToAddress(String newAddress)`
`String` | `getFrom()`
`String` | `getMessageTemplate()`
`String` | `getReplyTo()`
`String` | `getSubjectTemplate()`
`String` | `getTo()`
`void` | `handleNotification(javax.management.Notification notification, Object handback)`
`void` | `removeToAddress(String removeAddress)`
`void` | `setFrom(String f)`
`void` | `setMessageTemplate(String messageTemplate)`
`void` | `setReplyTo(String f)`
`void` | `setSubjectTemplate(String messageTemplate)`
`void` | `setTo(String t)`
`protected void` | `updateTo()`

Methods inherited from class org.jboss.monitor.alerts.JBossAlertListener
`getAlertName, setAlertName`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`create, createService, destroy, destroyService, getLog, getName, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, getState, getStateString, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister, start, startService, stop, stopService`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.monitor.alerts.JBossAlertListenerMBean
`getAlertName, setAlertName`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Field Detail

### messageTemplate

    protected String messageTemplate

### subjectTemplate

    protected String subjectTemplate

### fromString

    protected String fromString

### from

    protected javax.mail.Address from

### replyToString

    protected String replyToString

### replyTo

    protected javax.mail.Address replyTo

### to

    protected javax.mail.Address[] to

### toSet

    protected HashSet toSet

Constructor Detail

### EmailAlertListener

    public EmailAlertListener()

Method Detail

### handleNotification

    public void handleNotification(javax.management.Notification notification,
                                   Object handback)

  Specified by:
    `handleNotification` in interface `javax.management.NotificationListener`

### getTo

    public String getTo()

  Specified by:
    `getTo` in interface `EmailAlertListenerMBean`

### updateTo

    protected void updateTo()
                     throws javax.mail.internet.AddressException

  Throws:
    `javax.mail.internet.AddressException`

### setTo

    public void setTo(String t)
               throws javax.mail.internet.AddressException

  Specified by:
    `setTo` in interface `EmailAlertListenerMBean`
  Throws:
    `javax.mail.internet.AddressException`

### addToAddress

    public void addToAddress(String newAddress)
                      throws javax.mail.internet.AddressException

  Specified by:
    `addToAddress` in interface `EmailAlertListenerMBean`
  Throws:
    `javax.mail.internet.AddressException`

### removeToAddress

    public void removeToAddress(String removeAddress)
                         throws javax.mail.internet.AddressException

  Specified by:
    `removeToAddress` in interface `EmailAlertListenerMBean`
  Throws:
    `javax.mail.internet.AddressException`

### getFrom

    public String getFrom()

  Specified by:
    `getFrom` in interface `EmailAlertListenerMBean`

### setFrom

    public void setFrom(String f)
                 throws javax.mail.internet.AddressException

  Specified by:
    `setFrom` in interface `EmailAlertListenerMBean`
  Throws:
    `javax.mail.internet.AddressException`

### getReplyTo

    public String getReplyTo()

  Specified by:
    `getReplyTo` in interface `EmailAlertListenerMBean`

### setReplyTo

    public void setReplyTo(String f)
                    throws javax.mail.internet.AddressException

  Specified by:
    `setReplyTo` in interface `EmailAlertListenerMBean`
  Throws:
    `javax.mail.internet.AddressException`

### getMessageTemplate

    public String getMessageTemplate()

  Specified by:
    `getMessageTemplate` in interface `EmailAlertListenerMBean`

### setMessageTemplate

    public void setMessageTemplate(String messageTemplate)

  Specified by:
    `setMessageTemplate` in interface `EmailAlertListenerMBean`

### getSubjectTemplate

    public String getSubjectTemplate()

  Specified by:
    `getSubjectTemplate` in interface `EmailAlertListenerMBean`

### setSubjectTemplate

    public void setSubjectTemplate(String messageTemplate)

  Specified by:
    `setSubjectTemplate` in interface `EmailAlertListenerMBean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.